<?php
require("modulos/conexion.php");
require("verificar-usuarios.php");
?>
<!doctype html>
<html>
<head>
<meta charset="utf-8">
<meta name="viewport" content="width=device-width, initial-scale=1">
<link rel="shortcut icon" type="image/x-icon" href="imagenes/icono.png">
<title>Sistema Educativo AppAOE</title>
<link rel="stylesheet" type="text/css" href="css/normalize.css">
<link rel="stylesheet" type="text/css" href="css/estilosweb.css">
<!-- Iconos Fontello -->
<link rel="stylesheet" type="text/css" href="css/animation.css">
<link rel="stylesheet" type="text/css" href="css/iconos-codes.css">
<link rel="stylesheet" type="text/css" href="css/iconos-embedded.css">
<link rel="stylesheet" type="text/css" href="css/iconos.css">
<!-- Google Fonts -->
<link href="https://fonts.googleapis.com/css?family=Abel|Anton|Archivo+Black|Archivo+Narrow|Cuprum|Exo+2|Fjalla+One|Francois+One|Lato|News+Cycle|Open+Sans|Open+Sans+Condensed:300|Oswald|PT+Sans+Narrow|Passion+One|Pathway+Gothic+One|Raleway|Righteous|Roboto|Roboto+Condensed|Roboto+Slab|Tulpen+One|Dancing+Script|Grand+Hotel" rel="stylesheet">
<!-- jQuery -->
<script src="js/jquery-2.2.3.min.js"></script>
<!-- jQueryDataTable -->
<link rel="stylesheet" type="text/css" href="css/datatables.min.css">
<script src="js/datatables.min.js"></script>
<link rel="stylesheet" type="text/css" href="css/dataTables.checkboxes.css">
<script src="js/dataTables.checkboxes.min.js"></script>
<!-- jQuery Alertify -->
<link rel="stylesheet" type="text/css" href="css/alertify.core.css">
<link rel="stylesheet" type="text/css" href="css/alertify.default.css">
<script src="js/alertify.js"></script>
<!-- Fancybox -->
<script src="source/jquery.fancybox.pack.js?v=2.1.5"></script>
<link rel="stylesheet" type="text/css" href="source/jquery.fancybox.css?v=2.1.5">
<!-- Acordion -->
<script src="js/acordion.js"></script>
<script>
    $(function(){
        //Inicializar Alertify como Prom
        function reset(){
            $("#toggleCSS").attr("href", "css/alertify.default.css")
            alertify.set({
                labels         :{
                    ok         : "SI",
                    cancel     : "NO"
                },
                delay          : 5000,
                buttonReverse  : false,
                buttonFocus    : true
            });
        }
        /****************************************************/
        /***************   BORRAR REGISTROS   ***************/
        /****************************************************/
        $(document).on("click", ".regborrar", function(e){
            var datosEnvio = {
                'cod_libro'    : $('.codborrar', this).val(),
                'modulo'        : 'Biblioteca'
            }
            reset();
            alertify.confirm("¿Realmente deseas borrar el registro?", function(e){
                if(e){
                    $.ajax({
                        data    : datosEnvio,
                        url     : 'proceso-eliminar.php',
                        type    : 'post',
                        dataType: 'json',
                        success : function(datos){
                            if(datos.resultado=="SI"){
                                location.reload();
                            }                        
                        }
                    });
                }
            });
        });
        /****************************************************/
        /****** Inicializacion del jQuery DataTables ********/
        /****************************************************/
        var table = $('#tabla').DataTable({
            'ajax': 'lista-biblioteca.php',
            'columnDefs': [
                {
                    'targets': 0,
                    'checkboxes': {
                    'selectRow': true
                    }
                }
            ],
            'select': {
                'style': 'multi'
            },
            'order': [[1, 'asc']]
        });
        /****************************************************/
        /***** Borrar registros Marcados con checbox ********/
        /****************************************************/
            $("#fcms").on("submit", function(e){
            var form            = this;
            var rows_selected   = table.column(0).checkboxes.selected();
            $.each(rows_selected, function(index, rowId){
                   $(form).append(
                    $('<input>')
                    .attr('type', 'hidden')
                    .attr('name', 'id[]')
                    .val(rowId)
                );
            });
            $("#proceso").val("borrarBiblioteca");
            var datosEnviar = $(form).serialize();
            reset();
            alertify.confirm("¿Realmente deseas borrar el registro?", function(e){
                    if(e){
                        $.ajax({
                            data    : datosEnviar,
                            url     : 'proceso-eliminar.php',
                            type    : 'post',
                            dataType: 'json',
                            success : function(datos){
                                if(datos.resultado=="SI"){
                                    location.reload();
                                } 
                            }
                        });
                    }
            });
            $('input[name="id\[\]"]',form).remove();
            e.preventDefault();
        });//Fin Submit
        /****************************************************/
        /***** Fancybox ********/
        /****************************************************/
        $('.fancybox').fancybox({
            padding : 0
        })
    })//Fin document ready
</script>
</head>
<body>
<!-- **************************************************************** -->
<!-- ************************  MENU DEL GESTOR  ********************* -->
<!-- **************************************************************** -->
<?php include("modulos/menucms.php"); ?>
<!-- **************************************************************** -->
<!-- ************************  SECCION DEL GESTOR  ****************** -->
<!-- **************************************************************** -->
<section id="contenedor">
	<!-- ********************  CABECERA GESTOR     ****************** -->
	<?php include("modulos/cabecera.php"); ?>	
	<!-- ********************   CUERPO GESTOR      ****************** -->
	<section id="cuerpo">
        <section id="centro-top">
            <h1>Administrar Biblioteca Virtual</h1>
            <div>
                <a href="reg-biblioteca.php" class="fancybox fancybox.iframe"><i class="icon-doc-text"></i> Registrar Libro</a>
            </div>
        </section>
        <!-- ******************************************************** -->
        <!-- ******************************************************** -->
        <!-- ******************************************************** -->
        <section id="titulo-modulos">
            <h2>Lista de Libros en Biblioteca</h2>
        </section>
        <!-- ******************************************************** -->
        <!-- ******************************************************** -->
        <!-- ******************************************************** -->
        <section id="marco-modulo">
            <form action="" name="fcms" id="fcms" method="post">
                <button class="borrar"><i class="icon-trash"></i>Borrar</button>
                <table id="tabla" class="display">
                    <thead>
                        <tr>
						  <th></th>
						  <th>Titulo</th>
						  <th>Nombre Autor</th>
						  <th>Edición</th>
						  <th>Año Publicación</th>
						  <th>Fecha Creación</th>
						  <th>Estado</th>
						  <th>&nbsp;</th>
						  <th>&nbsp;</th>
						  <th>&nbsp;</th>
						</tr>
                    </thead>
                    <tfoot>
                        <tr>
						  <th></th>
						  <th>Titulo</th>
						  <th>Nombre Autor</th>
						  <th>Edición</th>
						  <th>Año Publicación</th>
						  <th>Fecha Creación</th>
						  <th>Estado</th>
						  <th>&nbsp;</th>
						  <th>&nbsp;</th>
						  <th>&nbsp;</th>
						</tr>
                    </tfoot>
                </table>
                <button class="borrar"><i class="icon-trash"></i>Borrar</button>
                <input type="hidden" name="proceso" id="proceso">
            </form>
        </section>        
	</section>	
	<!-- ********************  PIE PAGINA GESTOR   ****************** -->
	<?php include("modulos/piepag.php"); ?>	
</section>
<!--************************** Rutinas CMS ***************************-->
<script src="js/cms-rutuas.js"></script>
</body>
</html>