<?php
require("modulos/conexion.php");
require("verificar-usuarios.php");
?>
<!doctype html>
<html>

<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <link rel="shortcut icon" type="image/x-icon" href="imagenes/icono.png">
    <title>Sistema Educativo AppAOE</title>
    <link rel="stylesheet" type="text/css" href="css/normalize.css">
    <link rel="stylesheet" type="text/css" href="css/estilosweb.css">
    <!-- Iconos Fontello -->
    <link rel="stylesheet" type="text/css" href="css/animation.css">
    <link rel="stylesheet" type="text/css" href="css/iconos-codes.css">
    <link rel="stylesheet" type="text/css" href="css/iconos-embedded.css">
    <link rel="stylesheet" type="text/css" href="css/iconos.css">
    <!-- Google Fonts -->
    <link href="https://fonts.googleapis.com/css?family=Abel|Anton|Archivo+Black|Archivo+Narrow|Cuprum|Exo+2|Fjalla+One|Francois+One|Lato|News+Cycle|Open+Sans|Open+Sans+Condensed:300|Oswald|PT+Sans+Narrow|Passion+One|Pathway+Gothic+One|Raleway|Righteous|Roboto|Roboto+Condensed|Roboto+Slab|Tulpen+One|Dancing+Script|Grand+Hotel" rel="stylesheet">
    <!-- jQuery -->
    <script src="js/jquery-2.2.3.min.js"></script>
    <!-- jQueryDataTable -->
    <link rel="stylesheet" type="text/css" href="css/datatables.min.css">
    <script src="https://cdn.datatables.net/1.10.19/js/jquery.dataTables.min.js"></script>
    <script src="https://cdn.datatables.net/buttons/1.5.6/js/dataTables.buttons.min.js"></script>
    <script src="https://cdn.datatables.net/buttons/1.5.6/js/buttons.flash.min.js"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/jszip/3.1.3/jszip.min.js"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/pdfmake/0.1.53/pdfmake.min.js"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/pdfmake/0.1.53/vfs_fonts.js"></script>
    <script src="https://cdn.datatables.net/buttons/1.5.6/js/buttons.html5.min.js"></script>
    <script src="https://cdn.datatables.net/buttons/1.5.6/js/buttons.print.min.js"></script>
    <!-- jQueryDataTable Checkboxes -->
    <link rel="stylesheet" type="text/css" href="css/dataTables.checkboxes.css">
    <script src="js/dataTables.checkboxes.min.js"></script>
    <!-- jQuery Alertify -->
    <link rel="stylesheet" type="text/css" href="css/alertify.core.css">
    <link rel="stylesheet" type="text/css" href="css/alertify.default.css">
    <script src="js/alertify.js"></script>
    <!-- Fancybox -->
    <script type="text/javascript" src="source/jquery.fancybox.pack.js?v=2.1.5"></script>
    <link rel="stylesheet" type="text/css" href="source/jquery.fancybox.css?v=2.1.5" media="screen" />
    <!-- Acordion -->
    <script src="js/acordion.js"></script>
    <script>
        $(function() {
            //Inicializar Alertify como Prom
            function reset() {
                $("#toggleCSS").attr("href", "css/alertify.default.css");
                alertify.set({
                    labels: {
                        ok: "SI",
                        cancel: "NO"
                    },
                    delay: 5000,
                    buttonReverse: false,
                    buttonFocus: true
                });
            }
            /**************************************************/
            /***************** BORRAR REGISTROS ***************/
            /**************************************************/
            $(document).on("click", ".regborrar", function(e) {
                var datosEnvio = {
                    'cod_alumno': $('.codborrar', this).val(),
                    'modulo': 'Alumnos'
                }
                reset();
                alertify.confirm("¿Realmente deseas borrar el registro?", function(e) {
                    if (e) {
                        $.ajax({
                            data: datosEnvio,
                            url: 'proceso-eliminar.php',
                            type: 'post',
                            dataType: 'json',
                            success: function(datos) {
                                if (datos.resultado == "SI") {
                                    location.reload();
                                }
                            }
                        });
                    }
                });
            });
            /**************************************************/
            /******** Inicializacion del jQuery Datatables ****/
            /**************************************************/
            var table = $('#tabla').DataTable({
                'ajax': 'lista-peticiones.php',
                'columnDefs': [{
                    'targets': 0,
                    'checkboxes': {
                        'selectRow': true
                    }
                }],
                'select': {
                    'style': 'multi'
                },
                'order': [
                    [1, 'asc']
                ],
                'dom': 'Bfrtip',
                'buttons': [
                    'excel', 'pdf', 'print'
                ]
            });
            /**************************************************/
            /****** Borrar registros marcados con checkbox ****/
            /**************************************************/
            $('#fcms').on('submit', function(e) {
                var form = this;
                var rows_selected = table.column(0).checkboxes.selected();
                $.each(rows_selected, function(index, rowId) {
                    $(form).append(
                        $('<input>')
                        .attr('type', 'hidden')
                        .attr('name', 'id[]')
                        .val(rowId)
                    );
                });
                $("#proceso").val("borrarAlumnos");
                var datosEnviar = $(form).serialize();
                reset();
                alertify.confirm("¿Realmente deseas borrar el registro?", function(e) {
                    if (e) {
                        $.ajax({
                            data: datosEnviar,
                            url: 'proceso-eliminar.php',
                            type: 'post',
                            dataType: 'json',
                            success: function(datos) {
                                if (datos.resultado == "SI") {
                                    location.reload();
                                }
                            }
                        });
                    }
                });
                $('input[name="id\[\]"]', form).remove();
                e.preventDefault();
            }); //Fin Submit
            /**************************************************/
            /*********************  Fancybox    ***************/
            /**************************************************/
            $('.fancybox').fancybox({
                padding: 0
            })
        }) //Fin document ready	
    </script>
</head>

<body>
    <!-- **************************************************************** -->
    <!-- ************************  MENU DEL GESTOR  ********************* -->
    <!-- **************************************************************** -->
    <?php include("modulos/menucms.php"); ?>
    <!-- **************************************************************** -->
    <!-- ************************  SECCION DEL GESTOR  ****************** -->
    <!-- **************************************************************** -->
    <section id="contenedor">
        <!-- ********************  CABECERA GESTOR     ****************** -->
        <?php include("modulos/cabecera.php"); ?>
        <!-- ********************   CUERPO GESTOR      ****************** -->
        <section id="cuerpo">
            <section id="centro-top">
                <h1>Administrar Ficha de Alumnos</h1>
            </section>
            <!-- ******************************************************** -->
            <!-- ******************************************************** -->
            <!-- ******************************************************** -->
            <section id="titulo-modulos">
                <h2>Lista de Ficha de Alumnos</h2>
            </section>
            <!-- ******************************************************** -->
            <!-- ******************************************************** -->
            <!-- ******************************************************** -->
            <section id="marco-modulo">
                <form action="" name="fcms" id="fcms" method="post">
                    <button class="borrar"><i class="icon-trash"></i>Borrar</button>
                    <table id="tabla" class="display">
                        <thead>
                            <tr>
                                <th></th>
                                <th>Fecha</th>
                                <th>Nombres y Apellidos</th>
                                <th>Nº Documento</th>
                                <th>Carrera</th>
                                <th>Ciclo</th>
                                <th>Boleta Notas</th>
                                <th>Const. Deuda</th>
                                <th>Vaucher</th>
                                <th>Estado</th>
                                <th></th>
                                <th></th>
                            </tr>
                        </thead>
                        <tfoot>
                            <tr>
                                <th></th>
                                <th>Fecha</th>
                                <th>Nombres y Apellidos</th>
                                <th>Nº Documento</th>
                                <th>Carrera</th>
                                <th>Ciclo</th>
                                <th>Boleta Notas</th>
                                <th>Const. Deuda</th>
                                <th>Vaucher</th>
                                <th>Estado</th>
                                <th></th>
                                <th></th>
                            </tr>
                        </tfoot>
                    </table>
                    <button class="borrar"><i class="icon-trash"></i>Borrar</button>
                    <input type="hidden" name="proceso" id="proceso">
                </form>
            </section>
        </section>
        <!-- ********************  PIE PAGINA GESTOR   ****************** -->
        <?php include("modulos/piepag.php"); ?>
    </section>
    <!--************************** Rutinas CMS ***************************-->
    <script src="js/cms-rutuas.js"></script>
</body>

</html>