<?php
require("modulos/conexion.php");
require("config/verificar-login.php");

?>
<!doctype html>
<html>

<head>
	<meta charset="utf-8">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<title>Plataforma Virtual Instituto Antenor Orrego Espinoza</title>
	<link rel="shortcut icon" type="image/x-icon" href="imagenes/icono.png">
	<link href="css/normalize.css" rel="stylesheet" type="text/css">
	<link href="css/estilos-trentino.css" rel="stylesheet" type="text/css">
	<!-- Iconos Fontello -->
	<link rel="stylesheet" type="text/css" href="css/animation.css">
	<link rel="stylesheet" type="text/css" href="css/iconos.css">
	<link rel="stylesheet" type="text/css" href="css/iconos-codes.css">
	<link rel="stylesheet" type="text/css" href="css/iconos-embedded.css">
	<!-- Google Fonts -->
	<link href="https://fonts.googleapis.com/css?family=Anton|Arima+Madurai|Arimo|Fjalla+One|Lato|Nunito+Sans|Open+Sans|Open+Sans+Condensed:300|Oswald|PT+Sans|PT+Sans+Narrow|Raleway|Roboto|Roboto+Condensed|Roboto+Slab|Slabo+27px|Titillium+Web|Ubuntu|Yanone+Kaffeesatz" rel="stylesheet">
	<!-- jQuery -->
	<script type="text/javascript" src="js/jquery-2.2.3.min.js"></script>
	<!-- Mega Menu -->
	<link rel="stylesheet" type="text/css" href="css/megamenu.css">
	<script src="js/megamenu.js"></script>
	<script>
		$(document).ready(function(e) {
			//Inicializar el mega menu
			$(".megamenu").megamenu();
			deshabilitaRetroceso();
			var altura = $("#menuprincipal").offset().top;
			$(window).on("scroll", function() {
				if ($(window).scrollTop() > altura) {
					$("#menuprincipal").addClass("menu-fijo");
					$("#cajacuerpo").css("margin-top", "20px");
				} else {
					$("#menuprincipal").removeClass("menu-fijo");
					$("#cajacuerpo").css("margin-top", "0");
				}
			});
		});

		function deshabilitaRetroceso() {
			window.location.hash = "no-back-button";
			window.location.hash = "Again-No-back-button";
			window.onhashchange = function() {
				window.location.hash = 'no-back-button';
			}
		}
	</script>
</head>

<body>
	<!--***************************************************************-->
	<!--********************  CABECERA DE LA WEB  *********************-->
	<!--***************************************************************-->
	<?php include "modulos/cabecera.php"; ?>
	<!--***************************************************************-->
	<!--********************  CUERPO DE LA WEB    *********************-->
	<!--***************************************************************-->
	<section id="cajacuerpo">
		<div id="cuerpo">
			<?php
			if ($xCodigo != '') {
			?>
				<h2 class="titulo">Bienvenidos a la Plataforma Virtual del Alumno</h2>
				<p class="txtintro">Aquí podrás encontrar información acerca de tus cursos, notas, pagos.</p>
				<div id="cajablanca">
					<h2 class="nombreuser">Alumno(a) <?php echo $xNombres; ?></h2>
					<p class="emailuser"><?php echo $xEmail; ?></p>
					<div class="cajaiconos">
						<a href="mi-perfil.php" title="PERFIL DEL ALUMNO">
							<img src="imagenes/icono-examen.png" alt="PERFIL DEL ALUMNO">
							<h3>MI PERFIL</h3>
							<p>Actualiza tus datos personales</p>
						</a>
						<!-- ********************************************* -->
						<a href="cursos.php" title="ACADEMICO">
							<img src="imagenes/icono-cursos.png" alt="ACADEMICO">
							<h3>ACADEMICO</h3>
							<p>Cursos, notas, asistencias, etc.</p>
						</a>
						<!-- ********************************************* -->
						<a href="cronograma-pagos.php" title="MIS PAGOS">
							<img src="imagenes/icono-pagos.png" alt="MIS PAGOS">
							<h3>MIS PAGOS</h3>
							<p>Historial de pagos realizados y pendientes.</p>
						</a>
						<!-- ********************************************* -->
						<a href="biblioteca.php" title="BIBLIOTECA VIRTUAL">
							<img src="imagenes/icono-tutoriales.png" alt="BIBLIOTECA VIRTUAL">
							<h3>BIBLIOTECA VIRTUAL</h3>
							<p>Materiales de capacitación y aprendizaje.</p>
						</a>
						<!-- ********************************************* -->
						<a href="bolsa-trabajo.php" title="BOLSA DE TRABAJO">
							<img src="imagenes/briefcase.png" alt="BOLSA DE TRABAJO">
							<h3>BOLSA DE TRABAJO</h3>
							<p>Oportunidades laborales para ti.</p>
						</a>
					</div>
				</div>
			<?php
			} else {
			?>
				<h2 class="titulo">Bienvenidos a la Plataforma Virtual del Docentes</h2>
				<p class="txtintro">Aquí podrás encontrar la programacion de cursos, registro de notas y asistencia.</p>
				<div id="cajablanca">
					<h2 class="nombreuser">Docente <?php echo $dNombres; ?></h2>
					<p class="emailuser"><?php echo $dEmail; ?></p>
					<div class="cajaiconos">
						<a href="perfil-docente.php" title="PERFIL DEL DOCENTE">
							<img src="imagenes/icono-examen.png" alt="PERFIL DEL DOCENTE">
							<h3>MI PERFIL</h3>
							<p>Actualiza tus datos personales</p>
						</a>
						<!-- ********************************************* -->
						<a href="cursos.php" title="ACADEMICO">
							<img src="imagenes/icono-cursos.png" alt="ACADEMICO">
							<h3>ACADEMICO</h3>
							<p>Cursos, notas, asistencias, etc.</p>
						</a>
					</div>
				</div>
			<?php
			}
			?>
		</div>
	</section>
	<!--***************************************************************-->
	<!--****************** PIE DE PAGINA DE LA WEB    *****************-->
	<!--***************************************************************-->
	<?php include "modulos/piepagina.php"; ?>
</body>

</html>